Skip to main content
POST
Refund a captured payment

Authorizations

Authorization
string
header
required

Merchant API key bearer token.

Headers

Idempotency-Key
string
required

Client-supplied unique key for safe retries of this mutating request. Scoped per merchant or resource as documented on each endpoint.

Example:

"idem-01"

Path Parameters

paymentId
string
required

Payment TypeID (pmt_...) to refund.

Example:

"pmt_01hxy8m1nqk9g3x3y3p0azq2bg"

Body

application/json

Optional refund amount, in the payment currency. Omit for a full refund; if provided, must equal the full remaining refundable balance during MVP.

amount
integer
Required range: 0 < x <= 9007199254740991

Response

201 - application/json
id
string
required
paymentId
string
required
amount
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
currency
string
required

Supported currency code (USD, CAD)

Required string length: 3
processorReferenceId
string
required
Minimum string length: 1
refundedAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
paymentStatus
enum<string>
required
Available options:
pending,
authorized,
captured,
completed,
voided,
refunded,
declined,
returned